<form class="form download-form">
  <input type="text" name="sampleFile" class="download-field" ng-model="ctrlDownload.file.fileName" />
  <button type="button" class="submit-download" ng-click="ctrlDownload.downloadFile()">Download!</button>
</form>